summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-x.local/bin/dmenupass2
-rwxr-xr-x.local/bin/ifinstalled8
-rwxr-xr-x.local/bin/statusbar/iplocate4
-rwxr-xr-x.local/bin/torwrap6
4 files changed, 12 insertions, 8 deletions
diff --git a/.local/bin/dmenupass b/.local/bin/dmenupass
index 8631a13..2c14e6f 100755
--- a/.local/bin/dmenupass
+++ b/.local/bin/dmenupass
@@ -3,4 +3,4 @@
# This script is the SUDO_ASKPASS variable, meaning that it will be used as a
# password prompt if needed.
-dmenu -fn Monospace-18 -sb "#d79921" -sf "#1d2021" -nf "#000000" -nb "#000000" -p "$1" <&- && echo
+dmenu -fn Monospace-18 -P -p "$1" <&- && echo
diff --git a/.local/bin/ifinstalled b/.local/bin/ifinstalled
index c8e1c2e..04c0eef 100755
--- a/.local/bin/ifinstalled
+++ b/.local/bin/ifinstalled
@@ -1,4 +1,8 @@
#!/bin/sh
-# If $1 command is not available, error code and notify.
-command -v "$1" >/dev/null || { notify-send "📦 $1" "must be installed for this function." && exit 1 ;}
+# Some optional functions in LARBS require programs not installed by default. I
+# use this little script to check to see if a command exists and if it doesn't
+# it informs the user that they need that command to continue. This is used in
+# various other scripts for clarity's sake.
+
+pacman -Qq "$1" >/dev/null || { notify-send "📦 $1" "must be installed for this function." && exit 1 ;}
diff --git a/.local/bin/statusbar/iplocate b/.local/bin/statusbar/iplocate
index 8dc6290..02adab8 100755
--- a/.local/bin/statusbar/iplocate
+++ b/.local/bin/statusbar/iplocate
@@ -5,6 +5,6 @@
#
# https://www.maketecheasier.com/ip-address-geolocation-lookups-linux/
-ifinstalled "geoiplookup" || exit
+ifinstalled "geoip" || exit
addr="$(curl ifconfig.me 2>/dev/null)" || exit
-grep "flag: " ${XDG_CONFIG_HOME:-$HOME/.config}/emoji | grep "$(geoiplookup $addr | sed 's/.*, //')" | sed "s/flag: //;s/;.*//"
+grep "flag: " "${XDG_DATA_HOME:-$HOME/.local/share}/larbs/emoji" | grep "$(geoiplookup "$addr" | sed 's/.*, //')" | sed "s/flag: //;s/;.*//"
diff --git a/.local/bin/torwrap b/.local/bin/torwrap
index 82a268a..4f94053 100755
--- a/.local/bin/torwrap
+++ b/.local/bin/torwrap
@@ -1,7 +1,7 @@
#!/bin/sh
-ifinstalled tremc transmission-cli || exit
+ifinstalled tremc-git transmission-cli || exit
-! ps ax | grep -q "\stransmission-daemon$" && transmission-daemon && notify-send "Starting torrent daemon..." && sleep 3 && pkill -RTMIN+7 "${STATUSBAR:-dwmblocks}" &
+! pidof transmission-daemon >/dev/null && transmission-daemon && notify-send "Starting torrent daemon..."
-$TERMINAL -e tremc
+$TERMINAL -e tremc; pkill -RTMIN+7 "${STATUSBAR:-dwmblocks}"